// Generated by asm2c https://github.com/frranck/asm2c
#ifndef MRBOOM_H__
#include <stdint.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <math.h>
#include <setjmp.h>
#include <stddef.h>
#include <stdio.h>
#include <assert.h>
#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif
    
#if defined(_WIN32) || defined(__INTEL_COMPILER)
#define INLINE __inline
#elif defined(__STDC_VERSION__) && __STDC_VERSION__>=199901L
#define INLINE inline
#elif defined(__GNUC__)
#define INLINE __inline__
#else
#define INLINE
#endif

#define realAddress(offset,segment) ((db *)&m+(dd)offset+m.selectors[m.segment.dw.val])

#define db uint8_t
#define dw uint16_t
#define dd uint32_t

#ifdef MSB_FIRST
typedef struct dblReg {
	db v0;
	db v1;
	db v2;
	db val;
} dblReg;
typedef struct dbhReg {
	db v0;
	db v1;
	db val;
	db v2;
} dbhReg;
typedef struct dwReg {
	dw v0;
	dw val;
} dwReg;
typedef struct dblReg16 {
	db v0;
	db val;
} dblReg16;
typedef struct dbhReg16 {
	db val;
	db v0;
} dbhReg16;
#else
typedef struct dblReg {
	db val;
	db v0;
	db v1;
	db v2;
} dblReg;
typedef struct dbhReg {
	db v0;
	db val;
	db v1;
	db v2;
} dbhReg;
typedef struct dwReg {
	dw val;
	dw v0;
} dwReg;
typedef struct dblReg16 {
	db val;
	db v0;
} dblReg16;
typedef struct dbhReg16 {
	db v0;
	db val;
} dbhReg16;
#endif

typedef struct ddReg {
	dd val;
} ddReg;


typedef union registry32Bits
{
	struct dblReg dbl;
	struct dbhReg dbh;
	struct dwReg dw;
	struct ddReg dd;
} registry32Bits;


typedef struct dwReg16 {
	dw val;
} dwReg16;



typedef union registry16Bits
{
	struct dblReg16 dbl;
	struct dbhReg16 dbh;
	struct dwReg16 dw;
} registry16Bits;


#define VGARAM_SIZE 320*200
#define STACK_SIZE 1024*sizeof(dd)
#define HEAP_SIZE 1024*1024*4
#define NB_SELECTORS 128

#define PUSHAD memcpy (&m.stack[m.stackPointer], &m.eax.dd.val, sizeof (dd)*8); m.stackPointer+=sizeof(dd)*8; assert(m.stackPointer<STACK_SIZE)

#define POPAD m.stackPointer-=sizeof(dd)*8; memcpy (&m.eax.dd.val, &m.stack[m.stackPointer], sizeof (dd)*8)

#define PUSH(nbBits,a) memcpy (&m.stack[m.stackPointer], &a, sizeof (a)); m.stackPointer+=sizeof(a); assert(m.stackPointer<STACK_SIZE)

#define POP(nbBits,a) m.stackPointer-=sizeof(a); memcpy (&a, &m.stack[m.stackPointer], sizeof (a))

#define AFFECT_ZF(a) m.ZF=(a==0)
#define AFFECT_CF(a) m.CF=a
#define AFFECT_SF(nbBits, a) m.SF=(a>>(nbBits-1))
#define ISNEGATIVE(nbBits,a) (a & (1 << (nbBits-1)))

// TODO: add missings affected flags on CMP
#define CMP(nbBits,a,nbBitsSrc,b) AFFECT_ZF(a-b); AFFECT_CF(a<b); AFFECT_SF(nbBits,(a-b));
#define OR(nbBits,a,nbBitsSrc,b) a=a|b; AFFECT_ZF(a); AFFECT_SF(nbBits, a)
#define XOR(nbBits,a,nbBitsSrc,b) a=a^b; AFFECT_ZF(a); AFFECT_SF(nbBits, a)
#define AND(nbBits,a,nbBitsSrc,b) a=a&b; AFFECT_ZF(a); AFFECT_SF(nbBits, a)
#define NEG(nbBits,a) AFFECT_CF(a!=0); a=-a;
#define TEST(nbBits,a,nbBitsSrc,b) AFFECT_ZF((a&b)); AFFECT_CF(b<a); AFFECT_SF(nbBits, (a&b))

#define SHR(nbBits,a,nbBitsSrc,b) a=a>>b
#define SHL(nbBits,a,nbBitsSrc,b) a=a<<b
#define ROR(nbBits,a,nbBitsSrc,b) a=(a>>b | a<<(nbBits-b))
#define ROL(nbBits,a,nbBitsSrc,b) a=(a<<b | a>>(nbBits-b))

#define READDDp(a) ((dd *) &m.a)
#define READDWp(a) ((dw *) &m.a)
#define READDBp(a) ((db *) &m.a)

#define READDD(a) (m.a.dd.val)

#ifdef MSB_FIRST
#define READDBhW(a) (*(((db *) &m.a)+0))
#define READDBhD(a) (*(((db *) &m.a)+2))
#define READDBlW(a) (*(((db *) &m.a)+1))
#define READDBlD(a) (*(((db *) &m.a)+3))
#else
#define READDBhW(a) (*(((db *) &m.a)+1))
#define READDBhD(a) (*(((db *) &m.a)+1))
#define READDBlW(a) (*(((db *) &m.a)))
#define READDBlD(a) (*(((db *) &m.a)))
#endif

#define READDW(a) (*((dw *) &m.a.dw.val))
#define READDBh(a) (*((db *) &m.a.dbh.val))
#define READDBl(a) (*((db *) &m.a.dbl.val))

#define ADD(nbBits,a,nbBitsSrc,b) a=a+b; AFFECT_ZF(a); AFFECT_CF(a<b); AFFECT_SF(nbBits,a);
#define SUB(nbBits,a,nbBitsSrc,b) a=a-b; AFFECT_ZF(a); AFFECT_CF(b<a); AFFECT_SF(nbBits,a);

// TODO: should affects OF, SF, ZF, AF, and PF
#define INC(nbBits,a) a=a+1; AFFECT_ZF(a)
#define DEC(nbBits,a) a=a-1; AFFECT_ZF(a)

#define JE(label) if (m.ZF) GOTOLABEL(label)
#define JZ(label) JE(label)

#define JNE(label) if (!m.ZF) GOTOLABEL(label)
#define JNZ(label) JNE(label)

#define JNB(label) if (!m.CF) GOTOLABEL(label)
#define JAE(label) JNB(label)
#define JNC(label) JNB(label)

#define JB(label) if (m.CF) GOTOLABEL(label)
#define JC(label) JB(label)
#define JNAE(label) JB(label)

#define JA(label) if (!m.CF && !m.ZF) GOTOLABEL(label)
#define JNBE(label) JA(label)

#define JS(label) if (m.SF) GOTOLABEL(label)
#define JNS(label) if (!m.SF) GOTOLABEL(label)

#define JNA(label) if (m.CF || m.ZF) GOTOLABEL(label)
#define JBE(label) JNA(label)

#define MOV(nbBits,dest,nbBitsSrc,src) dest = src
#define MOVZX(nbBits,dest,nbBitsSrc,src) dest = src
#define MOVSX(nbBits,dest,nbBitsSrc,src) if (ISNEGATIVE(nbBitsSrc,src)) { dest = ((-1 ^ (( 1 <<nbBitsSrc )-1)) | src ); } else { dest = src; }

// LEA - Load Effective Address
#define LEA(nbBits,dest,nbBitsSrc,src) dest = src

// MOVSx (DF FLAG not implemented)
#define MOVS(a,ecx) src=realAddress(m.esi.dd.val,ds); dest=realAddress(m.edi.dd.val,es); \
	if (labs(((char *)dest)-((char *)src))<=a) { \
		for(i=0; i<ecx; i++) {  \
			src=realAddress(m.esi.dd.val,ds); dest=realAddress(m.edi.dd.val,es); \
			memmove(dest,src,a); m.edi.dd.val+=a; m.esi.dd.val+=a; } \
	} else { \
		memmove(dest,src,a*ecx); m.edi.dd.val+=a*ecx; m.esi.dd.val+=a*ecx; \
	}

#define MOVSB MOVS(1,1)
#define MOVSW MOVS(2,1)
#define MOVSD MOVS(4,1)

#define REP_MOVS(b) MOVS(b,m.ecx.dd.val)
#define REP_MOVSB REP_MOVS(1)
#define REP_MOVSW REP_MOVS(2)
#define REP_MOVSD REP_MOVS(4)

#define STOS(a,b) memcpy (realAddress(m.edi.dd.val,es), ((db *)&m.eax.dd.val)+b, a); m.edi.dd.val+=a

#ifdef MSB_FIRST
#define STOSB STOS(1,3)
#define STOSW STOS(2,2)
#else
#define STOSB STOS(1,0)
#define STOSW STOS(2,0)
#endif

#define STOSD STOS(4,0)

#define REP_STOSB for (i=0; i<m.ecx.dd.val; i++) { STOSB; }
#define REP_STOSW for (i=0; i<m.ecx.dd.val; i++) { STOSW; }
#define REP_STOSD for (i=0; i<m.ecx.dd.val; i++) { STOSD; }

#define LODS(a,b) memcpy (((db *)&m.eax.dd.val)+b, realAddress(m.esi.dd.val,ds), a); m.esi.dd.val+=a

#ifdef MSB_FIRST
#define LODSB LODS(1,3)
#define LODSW LODS(2,2)
#else
#define LODSB LODS(1,0)
#define LODSW LODS(2,0)
#endif

#define LODSD LODS(4,0)

#define REP_LODS(a,b) for (i=0; i<m.ecx.dd.val; i++) { LODS(a,b); }

#ifdef MSB_FIRST
#define REP_LODSB REP_LODS(1,3)
#define REP_LODSW REP_LODS(2,2)
#else
#define REP_LODSB REP_LODS(1,0)
#define REP_LODSW REP_LODS(2,0)
#endif

#define REP_LODSD REP_LODS(4,0)

// JMP - Unconditional Jump
#define JMP(label) GOTOLABEL(label)
#define GOTOLABEL(a) goto a

#define LOOP(label) DEC(32,m.ecx.dd.val); JNZ(label)

#define CLD m.DF=0
#define STD m.DF=1

void stackDump();
void hexDump (void *addr, int len);
void asm2C_INT(int a);
void asm2C_init();
void asm2C_printOffsets(unsigned int offset);

// directjeu nosetjmp,2
// directmenu
#define INT(a) asm2C_INT(a); TESTJUMPTOBACKGROUND

#define TESTJUMPTOBACKGROUND  if (m.jumpToBackGround) CALL(moveToBackGround);

void asm2C_OUT(int16_t address, int data);
#define OUT(a,b) asm2C_OUT(a,b)
int8_t asm2C_IN(int16_t data);
#define IN(a,b) a = asm2C_IN(b); TESTJUMPTOBACKGROUND

#define STI // TODO: STI not implemented
#define PUSHF
#define POPF
#define NOP

#define CALL(label) \
	if (setjmp(jmpbuffer) == 0) { \
		PUSH(?,jmpbuffer); \
		JMP(label); \
	}

#define RET POP(x,jmpbuffer); longjmp(jmpbuffer, 0);

#ifdef __LIBSDL2__
#include <SDL2/SDL.h>
#include <SDL2/SDL_mixer.h>
#endif

#ifdef __LIBRETRO__
#include "libretro.h"
extern retro_log_printf_t log_cb;
#define log_error(...) log_cb(RETRO_LOG_ERROR,__VA_ARGS__);
#define log_info(...) log_cb(RETRO_LOG_INFO,__VA_ARGS__);
    #ifdef DEBUG
    #define log_debug(...) printf(__VA_ARGS__);
    #else
    #define log_debug(...)
    #endif
#else
extern FILE * logDebug;
#define log_error(...) if (logDebug!=NULL) { fprintf(logDebug,__VA_ARGS__); } else { printf(__VA_ARGS__); }
#define log_info(...) if (logDebug!=NULL) { fprintf(logDebug,__VA_ARGS__); } else { printf(__VA_ARGS__); }
    #ifdef DEBUG
    #define log_debug(...) if (logDebug!=NULL) fprintf(logDebug,__VA_ARGS__);
    #else
    #define log_debug(...)
    #endif
#endif

#if DEBUG==2
    #define R(a) log_debug("l:%d:%s\n",__LINE__,#a); a
    #define log_debug2(...) printf(__VA_ARGS__);
#else
    #define R(a) a
    #define log_debug2(...)
#endif

bool is_little_endian();

#if defined(_MSC_VER)
#define SWAP16 _byteswap_ushort
#define SWAP32 _byteswap_ulong
#else
#define SWAP16(x) ((uint16_t)(                  \
			   (((uint16_t)(x) & 0x00ff) << 8)      | \
			   (((uint16_t)(x) & 0xff00) >> 8)        \
			   ))
#define SWAP32(x) ((uint32_t)(           \
			   (((uint32_t)(x) & 0x000000ff) << 24) | \
			   (((uint32_t)(x) & 0x0000ff00) <<  8) | \
			   (((uint32_t)(x) & 0x00ff0000) >>  8) | \
			   (((uint32_t)(x) & 0xff000000) >> 24)   \
			   ))
#endif

#ifdef __cplusplus
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
#define MRBOOM_H__
#pragma pack(push, 1)
typedef struct Mem {
registry32Bits eax;
registry32Bits ebx;
registry32Bits ecx;
registry32Bits edx;
registry32Bits esi;
registry32Bits edi;
registry32Bits ebp;
registry32Bits esp;
registry16Bits cs;
registry16Bits ds;
registry16Bits es;
registry16Bits fs;
registry16Bits gs;
registry16Bits ss;
bool CF;
bool ZF;
bool DF;
bool SF;
bool isLittle;
bool jumpToBackGround;
bool executionFinished;
db exitCode;
db dummy1[23];
db beginningdata;
db donoterasekeys;
dd liste_de_machin[11];
dd infojoueur2[5];
dd tecte2;
dd scrollyf;
db scrolly[1968];
dd special_clignotement;
db trucs[16];
dd last_voice;
dw blow_what2[14];
dw blow_what[14];
db buffer[65535];
db message2[6];
db dummy2[6];
db dummy3[6];
db dummy4[14];
db dummy5[6];
db dummy6[6];
db dummy7[6];
db dummy8[14];
db dummy9[6];
db dummy10[6];
db dummy11[6];
db dummy12[14];
db dummy13[6];
db dummy14[6];
db dummy15[6];
db dummy16[14];
dd total_liste;
dd bigendianin;
dd bigendianout;
db dataloaded;
db clavier[128];
dd taille_exe_gonfle;
db playsoundfx;
db master;
db clavier_stuff;
db clavier_stuff2;
db clavier_extanded[128];
db pal_pic[16];
db dummy17[16];
db dummy18[16];
db dummy19[16];
db dummy20[16];
db dummy21[16];
db dummy22[16];
db dummy23[16];
db dummy24[16];
db dummy25[16];
db dummy26[16];
db dummy27[16];
db dummy28[16];
db dummy29[16];
db dummy30[16];
db dummy31[16];
db dummy32[16];
db dummy33[16];
db dummy34[16];
db dummy35[16];
db dummy36[16];
db dummy37[16];
db dummy38[16];
db dummy39[16];
db dummy40[16];
db dummy41[16];
db dummy42[16];
db dummy43[16];
db dummy44[16];
db dummy45[16];
db dummy46[16];
db dummy47[16];
db dummy48[16];
db dummy49[16];
db dummy50[16];
db dummy51[16];
db dummy52[16];
db dummy53[16];
db dummy54[16];
db dummy55[16];
db dummy56[16];
db dummy57[16];
db dummy58[16];
db dummy59[16];
db dummy60[16];
db dummy61[16];
db dummy62[16];
db dummy63[16];
db pal_pic2[16];
db dummy64[16];
db dummy65[16];
db dummy66[16];
db dummy67[16];
db dummy68[16];
db dummy69[16];
db dummy70[16];
db dummy71[16];
db dummy72[16];
db dummy73[16];
db dummy74[16];
db dummy75[16];
db dummy76[16];
db dummy77[16];
db dummy78[16];
db dummy79[16];
db dummy80[16];
db dummy81[16];
db dummy82[16];
db dummy83[16];
db dummy84[16];
db dummy85[16];
db dummy86[16];
db dummy87[16];
db dummy88[16];
db dummy89[16];
db dummy90[16];
db dummy91[16];
db dummy92[16];
db dummy93[16];
db dummy94[16];
db dummy95[16];
db dummy96[16];
db dummy97[16];
db dummy98[16];
db dummy99[16];
db dummy100[16];
db dummy101[16];
db dummy102[16];
db dummy103[16];
db dummy104[16];
db dummy105[16];
db dummy106[16];
db dummy107[16];
db dummy108[16];
db dummy109[16];
db dummy110[16];
db pal_jeu[16];
db dummy111[16];
db dummy112[16];
db dummy113[16];
db dummy114[16];
db dummy115[16];
db dummy116[16];
db dummy117[16];
db dummy118[16];
db dummy119[16];
db dummy120[16];
db dummy121[16];
db dummy122[16];
db dummy123[16];
db dummy124[16];
db dummy125[16];
db dummy126[16];
db dummy127[16];
db dummy128[16];
db dummy129[16];
db dummy130[16];
db dummy131[16];
db dummy132[16];
db dummy133[16];
db dummy134[16];
db dummy135[16];
db dummy136[16];
db dummy137[16];
db dummy138[16];
db dummy139[16];
db dummy140[16];
db dummy141[16];
db dummy142[16];
db dummy143[16];
db dummy144[16];
db dummy145[16];
db dummy146[16];
db dummy147[16];
db dummy148[16];
db dummy149[16];
db dummy150[16];
db dummy151[16];
db dummy152[16];
db dummy153[16];
db dummy154[16];
db dummy155[16];
db dummy156[16];
db dummy157[16];
db pal_med[16];
db dummy158[16];
db dummy159[16];
db dummy160[16];
db dummy161[16];
db dummy162[16];
db dummy163[16];
db dummy164[16];
db dummy165[16];
db dummy166[16];
db dummy167[16];
db dummy168[16];
db dummy169[16];
db dummy170[16];
db dummy171[16];
db dummy172[16];
db dummy173[16];
db dummy174[16];
db dummy175[16];
db dummy176[16];
db dummy177[16];
db dummy178[16];
db dummy179[16];
db dummy180[16];
db dummy181[16];
db dummy182[16];
db dummy183[16];
db dummy184[16];
db dummy185[16];
db dummy186[16];
db dummy187[16];
db dummy188[16];
db dummy189[16];
db dummy190[16];
db dummy191[16];
db dummy192[16];
db dummy193[16];
db dummy194[16];
db dummy195[16];
db dummy196[16];
db dummy197[16];
db dummy198[16];
db dummy199[16];
db dummy200[16];
db dummy201[16];
db dummy202[16];
db dummy203[16];
db dummy204[16];
db pal_vic[16];
db dummy205[16];
db dummy206[16];
db dummy207[16];
db dummy208[16];
db dummy209[16];
db dummy210[16];
db dummy211[16];
db dummy212[16];
db dummy213[16];
db dummy214[16];
db dummy215[16];
db dummy216[16];
db dummy217[16];
db dummy218[16];
db dummy219[16];
db dummy220[16];
db dummy221[16];
db dummy222[16];
db dummy223[16];
db dummy224[16];
db dummy225[16];
db dummy226[16];
db dummy227[16];
db dummy228[16];
db dummy229[16];
db dummy230[16];
db dummy231[16];
db dummy232[16];
db dummy233[16];
db dummy234[16];
db dummy235[16];
db dummy236[16];
db dummy237[16];
db dummy238[16];
db dummy239[16];
db dummy240[16];
db dummy241[16];
db dummy242[16];
db dummy243[16];
db dummy244[16];
db dummy245[16];
db dummy246[16];
db dummy247[16];
db dummy248[16];
db dummy249[16];
db dummy250[16];
db dummy251[16];
db pal_draw[16];
db dummy252[16];
db dummy253[16];
db dummy254[16];
db dummy255[16];
db dummy256[16];
db dummy257[16];
db dummy258[16];
db dummy259[16];
db dummy260[16];
db dummy261[16];
db dummy262[16];
db dummy263[16];
db dummy264[16];
db dummy265[16];
db dummy266[16];
db dummy267[16];
db dummy268[16];
db dummy269[16];
db dummy270[16];
db dummy271[16];
db dummy272[16];
db dummy273[16];
db dummy274[16];
db dummy275[16];
db dummy276[16];
db dummy277[16];
db dummy278[16];
db dummy279[16];
db dummy280[16];
db dummy281[16];
db dummy282[16];
db dummy283[16];
db dummy284[16];
db dummy285[16];
db dummy286[16];
db dummy287[16];
db dummy288[16];
db dummy289[16];
db dummy290[16];
db dummy291[16];
db dummy292[16];
db dummy293[16];
db dummy294[16];
db dummy295[16];
db dummy296[16];
db dummy297[16];
db dummy298[16];
db isbigendian;
dd touches_[8];
dd dummy299[8];
dd dummy300[8];
dd dummy301[8];
dd dummy302[8];
dd dummy303[8];
dd dummy304[8];
dd dummy305[8];
db tected[21];
db tecte[56];
db dummy306[396];
db message1[6];
db dummy307[6];
db dummy308[6];
db dummy309[14];
db dummy310[6];
db dummy311[6];
db dummy312[6];
db dummy313[14];
db dummy314[6];
db dummy315[6];
db dummy316[6];
db dummy317[14];
db dummy318[6];
db dummy319[6];
db dummy320[6];
db dummy321[14];
db message3[6];
db dummy322[6];
db dummy323[6];
db dummy324[14];
db dummy325[6];
db dummy326[6];
db dummy327[6];
db dummy328[14];
db dummy329[6];
db dummy330[6];
db dummy331[6];
db dummy332[14];
db dummy333[6];
db dummy334[6];
db dummy335[6];
db dummy336[14];
db mess_kli[6];
db dummy337[6];
db dummy338[6];
db dummy339[14];
db dummy340[6];
db dummy341[6];
db dummy342[6];
db dummy343[14];
db dummy344[6];
db dummy345[6];
db dummy346[6];
db dummy347[14];
db dummy348[6];
db dummy349[6];
db dummy350[6];
db dummy351[14];
db mess_luc[6];
db dummy352[6];
db dummy353[6];
db dummy354[14];
db dummy355[6];
db dummy356[6];
db dummy357[6];
db dummy358[14];
db dummy359[6];
db dummy360[6];
db dummy361[6];
db dummy362[14];
db dummy363[6];
db dummy364[6];
db dummy365[6];
db dummy366[14];
db mess_frd[6];
db dummy367[6];
db dummy368[6];
db dummy369[14];
db dummy370[6];
db dummy371[6];
db dummy372[6];
db dummy373[14];
db dummy374[6];
db dummy375[6];
db dummy376[6];
db dummy377[14];
db dummy378[6];
db dummy379[6];
db dummy380[6];
db dummy381[14];
db mess_jag[6];
db dummy382[6];
db dummy383[6];
db dummy384[14];
db dummy385[6];
db dummy386[6];
db dummy387[6];
db dummy388[14];
db dummy389[6];
db dummy390[6];
db dummy391[6];
db dummy392[14];
db dummy393[6];
db dummy394[6];
db dummy395[6];
db dummy396[14];
db mess_din[6];
db dummy397[6];
db dummy398[6];
db dummy399[14];
db dummy400[6];
db dummy401[6];
db dummy402[6];
db dummy403[14];
db dummy404[6];
db dummy405[6];
db dummy406[6];
db dummy407[14];
db dummy408[6];
db dummy409[6];
db dummy410[6];
db dummy411[14];
db mess_jdg[6];
db dummy412[6];
db dummy413[6];
db dummy414[14];
db dummy415[6];
db dummy416[6];
db dummy417[6];
db dummy418[14];
db mess_rmd[6];
db dummy419[6];
db dummy420[6];
db dummy421[14];
db dummy422[6];
db dummy423[6];
db dummy424[6];
db dummy425[14];
db dummy426[6];
db dummy427[6];
db dummy428[6];
db dummy429[14];
db dummy430[6];
db dummy431[6];
db dummy432[6];
db dummy433[14];
db mess_kor[6];
db dummy434[6];
db dummy435[6];
db dummy436[14];
db dummy437[6];
db dummy438[6];
db dummy439[6];
db dummy440[14];
db dummy441[6];
db dummy442[6];
db dummy443[6];
db dummy444[14];
db dummy445[6];
db dummy446[6];
db dummy447[6];
db dummy448[14];
db mess_sl1[6];
db dummy449[6];
db dummy450[6];
db dummy451[14];
db dummy452[6];
db dummy453[6];
db dummy454[6];
db dummy455[14];
db dummy456[6];
db dummy457[6];
db dummy458[6];
db dummy459[14];
db dummy460[6];
db dummy461[6];
db dummy462[6];
db dummy463[14];
db mess_adr[6];
db dummy464[6];
db dummy465[6];
db dummy466[14];
db dummy467[6];
db dummy468[6];
db dummy469[6];
db dummy470[14];
db dummy471[6];
db dummy472[6];
db dummy473[6];
db dummy474[14];
db dummy475[6];
db dummy476[6];
db dummy477[6];
db dummy478[14];
db mess_wil[6];
db dummy479[6];
db dummy480[6];
db dummy481[14];
db dummy482[6];
db dummy483[6];
db dummy484[6];
db dummy485[14];
db mess_exo[6];
db dummy486[6];
db dummy487[6];
db dummy488[14];
db dummy489[6];
db dummy490[6];
db dummy491[6];
db dummy492[14];
db mess_cl[6];
db dummy493[6];
db dummy494[6];
db dummy495[14];
db dummy496[6];
db dummy497[6];
db dummy498[6];
db dummy499[14];
db mess_ben[6];
db dummy500[6];
db dummy501[6];
db dummy502[14];
db dummy503[6];
db dummy504[6];
db dummy505[6];
db dummy506[14];
db mess_aaa[6];
db dummy507[6];
db dummy508[6];
db dummy509[14];
db dummy510[6];
db dummy511[6];
db dummy512[6];
db dummy513[14];
db mess_fzf[6];
db dummy514[6];
db dummy515[6];
db dummy516[14];
db dummy517[6];
db dummy518[6];
db dummy519[6];
db dummy520[14];
db dummy521[6];
db dummy522[6];
db dummy523[6];
db dummy524[14];
db dummy525[6];
db dummy526[6];
db dummy527[6];
db dummy528[14];
db mess_het[6];
db dummy529[6];
db dummy530[6];
db dummy531[14];
db dummy532[6];
db dummy533[6];
db dummy534[6];
db dummy535[14];
db dummy536[6];
db dummy537[6];
db dummy538[6];
db dummy539[14];
db dummy540[6];
db dummy541[6];
db dummy542[6];
db dummy543[14];
db mess_big[6];
db dummy544[6];
db dummy545[6];
db dummy546[14];
db dummy547[6];
db dummy548[6];
db dummy549[6];
db dummy550[14];
db dummy551[6];
db dummy552[6];
db dummy553[6];
db dummy554[14];
db dummy555[6];
db dummy556[6];
db dummy557[6];
db dummy558[14];
db mess_hak[6];
db dummy559[6];
db dummy560[6];
db dummy561[14];
db dummy562[6];
db dummy563[6];
db dummy564[6];
db dummy565[14];
db dummy566[6];
db dummy567[6];
db dummy568[6];
db dummy569[14];
db dummy570[6];
db dummy571[6];
db dummy572[6];
db dummy573[14];
db mess_jc[6];
db dummy574[6];
db dummy575[6];
db dummy576[14];
db dummy577[6];
db dummy578[6];
db dummy579[6];
db dummy580[14];
db defo[4];
db truc_fin_s[32];
db dummy581[32];
db dummy582[32];
db dummy583[32];
db dummy584[32];
db dummy585[32];
db dummy586[32];
db dummy587[32];
db dummy588[32];
db dummy589[32];
db dummy590[32];
db dummy591[32];
db dummy592[32];
dd dummy593;
db truc_fin_soccer[32];
db dummy594[32];
db dummy595[32];
db dummy596[32];
db dummy597[32];
db dummy598[32];
db dummy599[32];
db dummy600[32];
db dummy601[32];
db dummy602[32];
db dummy603[32];
db dummy604[32];
db dummy605[32];
dd dummy606;
db truc_fin_s_c[32];
db dummy607[32];
db dummy608[32];
db dummy609[32];
db dummy610[32];
db dummy611[32];
db dummy612[32];
db dummy613[32];
db dummy614[32];
db dummy615[32];
db dummy616[32];
db dummy617[32];
db dummy618[32];
dd dummy619;
db truc_fin_s_m[32];
db dummy620[32];
db dummy621[32];
db dummy622[32];
db dummy623[32];
db dummy624[32];
db dummy625[32];
db dummy626[32];
db dummy627[32];
db dummy628[32];
db dummy629[32];
db dummy630[32];
db dummy631[32];
dd dummy632;
db truc_fin_s_n[32];
db dummy633[32];
db dummy634[32];
db dummy635[32];
db dummy636[32];
db dummy637[32];
db dummy638[32];
db dummy639[32];
db dummy640[32];
db dummy641[32];
db dummy642[32];
db dummy643[32];
db dummy644[32];
dd dummy645;
db truc_s[32];
db dummy646[32];
db dummy647[32];
db dummy648[32];
db dummy649[32];
db dummy650[32];
db dummy651[32];
db dummy652[32];
db dummy653[32];
db dummy654[32];
db dummy655[32];
db dummy656[32];
db dummy657[32];
db truc_foot[32];
db dummy658[32];
db dummy659[32];
db dummy660[32];
db dummy661[32];
db dummy662[32];
db dummy663[32];
db dummy664[32];
db dummy665[32];
db dummy666[32];
db dummy667[32];
db dummy668[32];
db dummy669[32];
db truc_soccer[32];
db dummy670[32];
db dummy671[32];
db dummy672[32];
db dummy673[32];
db dummy674[32];
db dummy675[32];
db dummy676[32];
db dummy677[32];
db dummy678[32];
db dummy679[32];
db dummy680[32];
db dummy681[32];
db truc_n[32];
db dummy682[32];
db dummy683[32];
db dummy684[32];
db dummy685[32];
db dummy686[32];
db dummy687[32];
db dummy688[32];
db dummy689[32];
db dummy690[32];
db dummy691[32];
db dummy692[32];
db dummy693[32];
db truc_c[32];
db dummy694[32];
db dummy695[32];
db dummy696[32];
db dummy697[32];
db dummy698[32];
db dummy699[32];
db dummy700[32];
db dummy701[32];
db dummy702[32];
db dummy703[32];
db dummy704[32];
db dummy705[32];
db truc_h[32];
db dummy706[32];
db dummy707[32];
db dummy708[32];
db dummy709[32];
db dummy710[32];
db dummy711[32];
db dummy712[32];
db dummy713[32];
db dummy714[32];
db dummy715[32];
db dummy716[32];
db dummy717[32];
db truc_f[32];
db dummy718[32];
db dummy719[32];
db dummy720[32];
db dummy721[32];
db dummy722[32];
db dummy723[32];
db dummy724[32];
db dummy725[32];
db dummy726[32];
db dummy727[32];
db dummy728[32];
db dummy729[32];
db truc_neige[32];
db dummy730[32];
db dummy731[32];
db dummy732[32];
db dummy733[32];
db dummy734[32];
db dummy735[32];
db dummy736[32];
db dummy737[32];
db dummy738[32];
db dummy739[32];
db dummy740[32];
db dummy741[32];
db truc2_save_foot[32];
db dummy742[32];
db truc2_save[13];
db truc2_save_n[32];
db dummy743[32];
db dummy744[32];
db dummy745[32];
db dummy746[32];
db dummy747[32];
db dummy748[32];
db dummy749[32];
db dummy750[32];
db dummy751[32];
db dummy752[32];
db dummy753[32];
db dummy754[32];
dd ia[16];
db offset_supporter[4];
db offset_cameraman[4];
db dummy755[12];
db dummy756[4];
db dummy757[12];
db dummy758[8];
db dummy759[8];
db dummy760[8];
db dummy761[4];
db dummy762[12];
db dummy763[8];
db dummy764[4];
db dummy765[12];
dd differentesply;
dd dummy766;
dd dummy767;
dd dummy768;
dd dummy769;
dd dummy770;
dd dummy771;
dd dummy772;
dd dummy773;
dd dummy774;
dd dummy775;
dd dummy776;
dd dummy777;
dd dummy778;
dd dummy779;
dd dummy780;
dd offset_pause[10];
dd dummy781[4];
dd dummy782[10];
dd dummy783[17];
dd dummy784;
dd offset_si;
dd dummy785;
dd dummy786;
dd dummy787;
dd dummy788;
dd dummy789;
dd dummy790;
dd dummy791;
dd dummy792;
dd dummy793;
dd dummy794;
dd dummy795;
dd dummy796;
dd dummy797;
dd dummy798;
dd dummy799;
dd dummy800;
dd dummy801;
dd dummy802;
dd dummy803;
dd dummy804;
dd dummy805;
dd dummy806;
dd dummy807;
dd dummy808;
dd dummy809;
dd dummy810;
dd dummy811;
dd dummy812;
dd dummy813;
dd dummy814;
dd dummy815;
dd dummy816;
dd dummy817;
dd dummy818;
dd dummy819;
dd dummy820;
dd dummy821;
dd dummy822;
dd dummy823;
dd liste_couleur_malade[2];
dd dummy824[2];
dd dummy825[2];
dd dummy826[2];
db love_si[4];
db dummy827[4];
db dummy828[4];
db dummy829[4];
db dummy830[4];
db dummy831[4];
db dummy832[4];
db dummy833[4];
db dummy834[4];
db dummy835[4];
db dummy836[4];
db dummy837[4];
db dummy838[4];
db dummy839[4];
db dummy840[4];
db dummy841[4];
db dummy842[4];
db dummy843[4];
db dummy844[4];
db dummy845[4];
db dummy846[4];
db iff_file_name[13];
db reccord[13];
db reccord3[9];
db reccord2[13];
db suite[4];
db suite2[24];
db suite3[73];
db cfgerror[79];
db errorcfg[29];
db message_mem_rp[53];
db okcfg[37];
db okcfg3[36];
db win[55];
db nowin[39];
db terminalor[78];
db dummy847[49];
db nulosproduction[60];
db stat1[10];
db stat2[7];
db stat3[9];
db gameover[38];
db no_server_[33];
db select_server_[42];
db cnx1[32];
db transformateur_98[13];
db cnx2[6];
dd load_pcx_interne;
dd load_handle;
dd adresse_des_fonds[4];
dd adresse_des_fonds_foot[2];
dd dummy848[2];
dd adresse_des_fonds_neige;
dd dummy849;
dd dummy850;
dd adresse_des_fonds_final[4];
dd adresse_des_fonds_foret[4];
dd adresse_des_fonds_nuage[4];
dd adresse_des_fonds_crayon[4];
dd adresse_des_fonds_soccer[4];
dd nombre_de_fond;
dd adresse_des_draws[2];
dd nombre_de_draw;
dd adresse_des_vic[4];
dd nombre_de_vic;
dd kelle_donnee[5];
dd dummy851[3];
dd kelle_fin[5];
dd dummy852[3];
dd kelle_truc[5];
dd dummy853[3];
dd kelle_bonus[5];
dd dummy854[3];
dd kelle_apocalypse[5];
dd dummy855[3];
dd kelle_duree[5];
dd dummy856[3];
dw offset_briques[5];
dw dummy857[3];
dd kelle_offset_fond[5];
dd dummy858[3];
dw kel_viseur_brike_fin[5];
dw dummy859[3];
dw lapin_mort[4];
dw dummy860[4];
dw dummy861[4];
dw dummy862[4];
dw lapin_mortg[4];
dw dummy863[4];
dw dummy864[4];
dw dummy865[4];
dw lapin2[4];
dw dummy866[4];
dw dummy867[4];
dw dummy868[4];
dw dummy869[4];
dw dummy870[4];
dw dummy871;
dw lapin2g[4];
dw dummy872[4];
dw dummy873[4];
dw dummy874[4];
dw dummy875[4];
dw dummy876[4];
dw dummy877;
dw lapin2___[4];
dw dummy878[4];
dw dummy879[4];
dw dummy880[4];
dw lapin2___g[4];
dw dummy881[4];
dw dummy882[4];
dw dummy883[4];
dw lapin2_[4];
dw dummy884[4];
dw dummy885[4];
dw dummy886[4];
dw lapin2_g[4];
dw dummy887[4];
dw dummy888[4];
dw dummy889[4];
dw lapin2__[4];
dw dummy890[4];
dw dummy891[4];
dw dummy892[4];
dw lapin2__g[4];
dw dummy893[4];
dw dummy894[4];
dw dummy895[4];
dw grosbleu[4];
dw dummy896[4];
dw dummy897[4];
dw dummy898[4];
dw dummy899[4];
dw dummy900[4];
dw dummy901;
dw coca[4];
dw dummy902[4];
dw dummy903[4];
dw dummy904[4];
dw dummy905[8];
dw dummy906;
dw escargot[4];
dw dummy907[4];
dw dummy908[4];
dw dummy909[4];
dw dummy910[4];
dw dummy911[4];
dw dummy912;
dw old_school[4];
dw dummy913[4];
dw dummy914[4];
dw dummy915[4];
dw dummy916[3];
dw dummy917[5];
dw dummy918;
dw bleu_triste[4];
dw dummy919[4];
dw dummy920[4];
dw dummy921[4];
dw dummy922[4];
dw dummy923[4];
dw dummy924;
dw machine[16];
dw dummy925[4];
dw dummy926[4];
dw dummy927;
dw petit_jaune[4];
dw dummy928[4];
dw dummy929[4];
dw dummy930[4];
dw dummy931[8];
dw dummy932;
dw blanc[4];
dw dummy933[4];
dw dummy934[4];
dw dummy935[4];
dw dummy936[4];
dw dummy937[4];
dw dummy938;
dw bleu[4];
dw dummy939[4];
dw dummy940[4];
dw dummy941[4];
dw dummy942[6];
dw dummy943[2];
dw dummy944;
dw rouge[4];
dw dummy945[4];
dw dummy946[4];
dw dummy947[4];
dw dummy948[8];
dw dummy949;
dw vert[4];
dw dummy950[4];
dw dummy951[4];
dw dummy952[4];
dw dummy953[8];
dw dummy954;
dw blancg[4];
dw dummy955[4];
dw dummy956[4];
dw dummy957[4];
dw dummy958[8];
dw dummy959;
dw bleug[4];
dw dummy960[4];
dw dummy961[4];
dw dummy962[4];
dw dummy963[4];
dw dummy964[2];
dw dummy965[2];
dw dummy966;
dw rougeg[4];
dw dummy967[4];
dw dummy968[4];
dw dummy969[4];
dw dummy970[8];
dw dummy971;
dw vertg[4];
dw dummy972[4];
dw dummy973[4];
dw dummy974[4];
dw dummy975[4];
dw dummy976[4];
dw dummy977;
dd offset_ic[4];
dd nouvelle_attente_entre_chake_bombe2[19];
dd liste_bombbbb;
dw dummy978;
dw dummy979;
dd dummy980;
dd dummy981;
dw dummy982;
dw dummy983;
dd dummy984;
dd dummy985;
dw dummy986;
dw dummy987;
dd dummy988;
dd dummy989;
dw dummy990;
dw dummy991;
dd dummy992;
dd dummy993;
dw dummy994;
dw dummy995;
dd dummy996;
dd dummy997;
dw dummy998;
dw dummy999;
dd dummy1000;
dd dummy1001;
dw dummy1002;
dw dummy1003;
dd dummy1004;
dd dummy1005;
dw dummy1006;
dw dummy1007;
dd dummy1008;
dd dummy1009;
dw dummy1010;
dw dummy1011;
dd dummy1012;
dd dummy1013;
dw dummy1014;
dw dummy1015;
dd dummy1016;
dd dummy1017;
dw dummy1018;
dw dummy1019;
dd dummy1020;
dd dummy1021;
dw dummy1022;
dw dummy1023;
dd dummy1024;
dd dummy1025;
dw dummy1026;
dw dummy1027;
dd dummy1028;
dd dummy1029;
dw dummy1030;
dw dummy1031;
dd dummy1032;
dd dummy1033;
dw dummy1034;
dw dummy1035;
dd dummy1036;
dd dummy1037;
dw dummy1038;
dw dummy1039;
dd dummy1040;
dd dummy1041;
dw dummy1042;
dw dummy1043;
dd dummy1044;
dd dummy1045;
dw dummy1046;
dw dummy1047;
dd dummy1048;
dd dummy1049;
dw dummy1050;
dw dummy1051;
dd dummy1052;
dd dummy1053;
dw dummy1054;
dw dummy1055;
dd dummy1056;
dd dummy1057;
dw dummy1058;
dw dummy1059;
dd dummy1060;
dd dummy1061;
dw dummy1062;
dw dummy1063;
dd dummy1064;
dd dummy1065;
dw dummy1066;
dw dummy1067;
dd dummy1068;
dd dummy1069;
dw dummy1070;
dw dummy1071;
dd dummy1072;
dd dummy1073;
dw dummy1074;
dw dummy1075;
dd dummy1076;
dd dummy1077;
dw dummy1078;
dw dummy1079;
dd dummy1080;
dd dummy1081;
dw dummy1082;
dw dummy1083;
dd dummy1084;
dd dummy1085;
dw dummy1086;
dw dummy1087;
dd dummy1088;
dd dummy1089;
dw dummy1090;
dw dummy1091;
dd dummy1092;
dd dummy1093;
dw dummy1094;
dw dummy1095;
dd dummy1096;
dd dummy1097;
dw dummy1098;
dw dummy1099;
dd dummy1100;
dw central_b[7];
dw dummy1101[7];
dw dummy1102[7];
dw dummy1103[7];
dw dummy1104[7];
dw dummy1105[7];
dw dummy1106[7];
dd viseur_victory[2];
dd dummy1107[2];
dd dummy1108[2];
dd dummy1109[2];
dd viseur_victoryc[2];
dd dummy1110[2];
dd dummy1111[2];
dd dummy1112[2];
dd viseur_victoryg[8];
dd viseur_name[2];
dd dummy1113[2];
dd dummy1114[2];
dd dummy1115[2];
dd viseur_namec[2];
dd dummy1116[2];
dd dummy1117[2];
dd dummy1118[2];
dd viseur_nameg[2];
dd dummy1119[2];
dd dummy1120[2];
dd dummy1121[2];
dw offset_medaille[13];
dw dummy1122[3];
dd random_place[8];
dd dummy1123[8];
dd dummy1124[8];
dd dummy1125[8];
dd dummy1126[8];
dd dummy1127[8];
dd dummy1128[8];
dd dummy1129[8];
dd dummy1130[8];
dd dummy1131[8];
dd dummy1132[8];
dd dummy1133[8];
dd dummy1134[8];
dd dummy1135[8];
dd dummy1136[8];
dd dummy1137[8];
db loaderror[78];
dd differents_offset_possible[4];
dd dummy1138[4];
dd dummy1139[4];
dd dummy1140[4];
dd dummy1141;
dd packed_liste[12];
dd dummy1142[24];
dd dummy1143[22];
dd dummy1144;
dd iff_liste[13];
dd dummy1145;
db liste_terrain[9];
db ascii[11];
db couleurssss[64];
db dummy1146[64];
db dummy1147[64];
db dummy1148[64];
db lost_conney;
db hazard_maladie[8];
db dummy1149[8];
db couleur[8];
db couleur_menu[8];
dw offset_fille[16];
dd offset_oiseau[16];
dd dummy1150[16];
dw fx[14];
dd liste_couleur_normal[2];
dd dummy1151[2];
dd dummy1152[2];
dd dummy1153[2];
dd s_normal[8];
dw l_normal[8];
dw c_normal[8];
dd a_normal[8];
dd r_normal[8];
dw donnee_s[8];
dw dummy1154[8];
dw dummy1155[8];
dd ooo34[8];
dw dummy1156[8];
dw dummy1157[8];
dd dummy1158[8];
dd dummy1159[8];
dd dummy1160[8];
dd dummy1161[5];
dd dummy1162[40];
dd dummy1163[8];
dd dummy1164[8];
dd dummy1165[2];
dd dummy1166[8];
dd dummy1167[8];
dd dummy1168;
dd dummy1169;
db dummy1170[8];
db dummy1171[8];
db dummy1172[8];
db dummy1173[8];
dw donnee_foot[8];
dw dummy1174[8];
dw dummy1175[8];
dd dummy1176[8];
dw dummy1177[8];
dw dummy1178[8];
dd dummy1179[8];
dd dummy1180[8];
dd dummy1181[8];
dd dummy1182[5];
dd dummy1183[40];
dd dummy1184[8];
dd dummy1185[8];
dd dummy1186[2];
dd dummy1187[8];
dd dummy1188[8];
dd dummy1189;
dd dummy1190;
db dummy1191[8];
db dummy1192[8];
db dummy1193[8];
db dummy1194[8];
dw donnee_soccer[8];
dw dummy1195[8];
dw dummy1196[8];
dd dummy1197[8];
dw dummy1198[8];
dw dummy1199[8];
dd dummy1200[8];
dd dummy1201[8];
dd dummy1202[8];
dd dummy1203[5];
dd dummy1204[10];
dd dummy1205[30];
dd dummy1206[8];
dd dummy1207[8];
dd dummy1208[2];
dd dummy1209[8];
dd dummy1210[8];
dd dummy1211;
dd dummy1212;
db dummy1213[8];
db dummy1214[8];
db dummy1215[8];
db dummy1216[8];
dw donnee_h[8];
dw dummy1217[8];
dw dummy1218[8];
dd dummy1219[8];
dw dummy1220[8];
dw dummy1221[8];
dd dummy1222[8];
dd dummy1223[8];
dd dummy1224[8];
dd dummy1225[5];
dd dummy1226[40];
dd dummy1227[8];
dd dummy1228[8];
dd dummy1229[2];
dd dummy1230[8];
dd dummy1231[8];
dd dummy1232;
dd dummy1233;
db dummy1234[8];
db dummy1235[8];
db dummy1236[8];
db dummy1237[8];
dw donnee_n[8];
dw dummy1238[8];
dw dummy1239[8];
dd dummy1240[8];
dw dummy1241[8];
dw dummy1242[8];
dd dummy1243[8];
dd dummy1244[8];
dd dummy1245[8];
dd dummy1246[5];
dd dummy1247[10];
dd dummy1248[5];
dd dummy1249[5];
dd dummy1250[5];
dd dummy1251[5];
dd dummy1252[5];
dd dummy1253[5];
dd dummy1254[8];
dd dummy1255[8];
dd dummy1256[2];
dd dummy1257[8];
dd dummy1258[8];
dd dummy1259;
dd dummy1260;
db dummy1261[8];
db dummy1262[8];
db dummy1263[8];
db dummy1264[8];
dw donnee_c[8];
dw dummy1265[8];
dw dummy1266[8];
dd dummy1267[8];
dw dummy1268[8];
dw dummy1269[8];
dd dummy1270[8];
dd dummy1271[8];
dd dummy1272[8];
dd dummy1273[5];
dd dummy1274[40];
dd dummy1275[8];
dd dummy1276[8];
dd dummy1277[2];
dd dummy1278[8];
dd dummy1279[8];
dd dummy1280;
dd dummy1281;
db dummy1282[8];
db dummy1283[8];
db dummy1284[8];
db dummy1285[8];
dw donnee_f[8];
dw dummy1286[8];
dw dummy1287[8];
dd dummy1288[8];
dw dummy1289[8];
dw dummy1290[8];
dd dummy1291[8];
dd dummy1292[8];
dd dummy1293[8];
dd dummy1294[5];
dd dummy1295[40];
dd dummy1296[8];
dd dummy1297[8];
dd dummy1298[2];
dd dummy1299[8];
dd dummy1300[8];
dd dummy1301;
dd dummy1302;
db dummy1303[8];
db dummy1304[8];
db dummy1305[8];
db dummy1306[8];
dw donnee_s_neige[8];
dw dummy1307[8];
dw dummy1308[8];
dd dummy1309[8];
dw dummy1310[8];
dw dummy1311[8];
dd dummy1312[8];
dd dummy1313[8];
dd dummy1314[8];
dd dummy1315[5];
dd dummy1316[40];
dd dummy1317[8];
dd dummy1318[8];
dd dummy1319[2];
dd dummy1320[8];
dd dummy1321[8];
dd dummy1322;
dd dummy1323;
db dummy1324[8];
db dummy1325[8];
db dummy1326[8];
db dummy1327[8];
dw mort_de_lapin[6];
dw dummy1328[6];
dw dummy1329[6];
dw dummy1330[6];
dw dummy1331[6];
dw dummy1332[2];
dw saut_de_lapin2[6];
dw dummy1333[6];
dw dummy1334[5];
dw dummy1335[3];
dw dummy1336[6];
dw dummy1337[6];
dw dummy1338;
dw dummy1339[4];
dw dummy1340[4];
dw saut_de_lapin[6];
dw dummy1341[6];
dw dummy1342[5];
dw dummy1343[3];
dw dummy1344[6];
dw dummy1345[6];
dw dummy1346;
dw dummy1347[4];
dw dummy1348[4];
dw dummy1349[4];
dw dummy1350[4];
dw dummy1351[4];
dw dummy1352[4];
dd n_team[8];
dd dummy1353;
dd c_team[8];
dd dummy1354;
dd s_team[8];
dd dummy1355;
dd infojoueur[8];
db panning2[19];
dd replayer_saver;
dd replayer_saver2;
dd replayer_saver3;
dd replayer_saver4;
db replayer_saver5;
db donnee4[72];
dd attente;
db nosetjmp;
dd nuage_sympa[5];
dd dummy1356[5];
dd dummy1357[5];
dd dummy1358[5];
dd dummy1359[5];
dd dummy1360[5];
dd dummy1361[5];
dd dummy1362[5];
dd dummy1363[5];
dd dummy1364[5];
dd dummy1365[5];
dd dummy1366[5];
dd dummy1367[5];
dd dummy1368[5];
dd dummy1369[5];
dd dummy1370[5];
dd vise_de_ca_haut[8];
dd vise_de_ca_haut2[8];
dd adder_inser_coin;
dd viseur_ic2;
dd inser_coin;
dd acceleration;
dd attente_entre_chake_bombe;
dd viseur__nouvelle_attente_entre_chake_bombe;
dd liste_bombbbb2;
dd special_nivo_6;
dd differentesply2;
dd temps_avant_demo;
dd ttp;
dd arbre;
dd viseur_couleur;
dd attente_nouveau_esc;
dd nombre_de_dyna_x4;
dd changeiny[8];
dd dummy1371[8];
dd viseur_change_in[8];
dd viseur_change_in_save[8];
dd anti_bomb[2];
dd dummy1372[2];
dd dummy1373[2];
dd dummy1374[2];
dd machin2;
dd machin3;
dd machin[16];
dd dummy1375[14];
dd dummy1376;
dd dummy1377[16];
dd dummy1378[14];
dd dummy1379;
dd duree_draw;
dd duree_med;
dd duree_vic;
dd affiche_raster;
dd save_banke;
dd attente_avant_draw;
dd attente_avant_med;
dd pic_time;
dd viseur_sur_fond;
dd viseur_sur_draw;
dd viseur_sur_vic;
dd compteur_nuage;
dd changementzz;
dd changementzz2;
dd changement;
db truc[416];
db truc2[416];
db truc_x[416];
db truc_y[416];
db truc_monstre[416];
dd touches[8];
dd avance[8];
dd avance2[8];
dd touches_save[8];
db action[32];
dd vie[8];
dd victoires[8];
dd latest_victory;
dd team[8];
dd nombre_minimum_de_dyna;
dd infos_j_n[5];
dd infos_m_n[40];
dd last_bomb[8];
dd viseur_liste_terrain;
dd nombre_de_dyna;
db nb_ai_bombermen;
dd nombre_de_monstres;
dd nombre_de_vbl_avant_le_droit_de_poser_bombe;
dd j1[5];
dd j2[5];
dd j3[5];
dd j4[5];
dd j5[5];
dd j6[5];
dd j7[5];
dd j8[5];
dw donnee[24];
dd ooo546[8];
dw dummy1380[8];
dw dummy1381[8];
dd dummy1382[8];
dd liste_couleur[8];
dd nombre_de_coups[8];
dd clignotement[8];
dd pousseur[8];
dd patineur[8];
dd vitesse_monstre[8];
dd tribombe2[8];
dd tribombe[8];
dd invinsible[8];
dd blocage[8];
dd lapipipino[8];
dd lapipipino2[8];
dd lapipipino3[8];
dd lapipipino4[8];
dd lapipipino5[8];
dd lapipipino6[8];
dd lapipipino7[8];
db action_replay;
db ordre2;
db detail;
db mechant;
db terrain;
db team3;
db pauseur2;
db bdraw666[2];
dw adder_bdraw;
dw temps;
dd kel_ombre;
dw ombres[8];
dw briques[495];
dw bombes[495];
dd control_joueur[8];
dd control_joueur2[8];
dd name_joueur[8];
dd temps_joueur[8];
dd nb_ordy_connected;
dd last_name;
db total_play[6];
db dummy1383[6];
db dummy1384[6];
db dummy1385[6];
db dummy1386[6];
db dummy1387[6];
db dummy1388[6];
db dummy1389[6];
db dummy1390[3];
db dummy1391[13];
db total_t[6];
db dummy1392[6];
db dummy1393[6];
db dummy1394[6];
db dummy1395[6];
db dummy1396[6];
db dummy1397[6];
db dummy1398[6];
db dummy1399[2];
db dummy1400[14];
db dummy1401[6];
db dummy1402[6];
db dummy1403[6];
db dummy1404[6];
db dummy1405[6];
db dummy1406[6];
db dummy1407[6];
db dummy1408[6];
db dummy1409[2];
db dummy1410[14];
db dummy1411[6];
db dummy1412[6];
db dummy1413[6];
db dummy1414[6];
db dummy1415[6];
db dummy1416[6];
db dummy1417[6];
db dummy1418[6];
db dummy1419[2];
db dummy1420[14];
db dummy1421[6];
db dummy1422[6];
db dummy1423[6];
db dummy1424[6];
db dummy1425[6];
db dummy1426[6];
db dummy1427[6];
db dummy1428[6];
db dummy1429[2];
db dummy1430[14];
db dummy1431[6];
db dummy1432[6];
db dummy1433[6];
db dummy1434[6];
db dummy1435[6];
db dummy1436[6];
db dummy1437[6];
db dummy1438[6];
db dummy1439[2];
db dummy1440[14];
db dummy1441[6];
db dummy1442[6];
db dummy1443[6];
db dummy1444[6];
db dummy1445[6];
db dummy1446[6];
db dummy1447[6];
db dummy1448[6];
db dummy1449[2];
db dummy1450[14];
db dummy1451[6];
db dummy1452[6];
db dummy1453[6];
db dummy1454[6];
db dummy1455[6];
db dummy1456[6];
db dummy1457[6];
db dummy1458[6];
db dummy1459[2];
db dummy1460[14];
db dummy1461[6];
db dummy1462[6];
db dummy1463[6];
db dummy1464[6];
db dummy1465[6];
db dummy1466[6];
db dummy1467[6];
db dummy1468[6];
db dummy1469[2];
db dummy1470[14];
db donnee2[7];
db dummy1471[7];
db dummy1472[7];
db dummy1473[7];
db dummy1474[7];
db dummy1475[7];
db dummy1476[7];
db dummy1477[7];
db dummy1478[2];
db dummy1479;
db nick_t[7];
db dummy1480[7];
db dummy1481[7];
db dummy1482[7];
db dummy1483[7];
db dummy1484[7];
db dummy1485[7];
db dummy1486[7];
db dummy1487[8];
db dummy1488[7];
db dummy1489[7];
db dummy1490[7];
db dummy1491[7];
db dummy1492[7];
db dummy1493[7];
db dummy1494[7];
db dummy1495[7];
db dummy1496[8];
db dummy1497[7];
db dummy1498[7];
db dummy1499[7];
db dummy1500[7];
db dummy1501[7];
db dummy1502[7];
db dummy1503[7];
db dummy1504[7];
db dummy1505[8];
db dummy1506[7];
db dummy1507[7];
db dummy1508[7];
db dummy1509[7];
db dummy1510[7];
db dummy1511[7];
db dummy1512[7];
db dummy1513[7];
db dummy1514[8];
db dummy1515[7];
db dummy1516[7];
db dummy1517[7];
db dummy1518[7];
db dummy1519[7];
db dummy1520[7];
db dummy1521[7];
db dummy1522[7];
db dummy1523[8];
db dummy1524[7];
db dummy1525[7];
db dummy1526[7];
db dummy1527[7];
db dummy1528[7];
db dummy1529[7];
db dummy1530[7];
db dummy1531[7];
db dummy1532[8];
db dummy1533[7];
db dummy1534[7];
db dummy1535[7];
db dummy1536[7];
db dummy1537[7];
db dummy1538[7];
db dummy1539[7];
db dummy1540[7];
db dummy1541[8];
db dummy1542[7];
db dummy1543[7];
db dummy1544[7];
db dummy1545[7];
db dummy1546[7];
db dummy1547[7];
db dummy1548[7];
db dummy1549[7];
db dummy1550[8];
db dummy1551[6];
dd lapin_mania[2];
dd dummy1552[2];
dd dummy1553[2];
dd dummy1554[2];
dd lapin_mania_malade[2];
dd dummy1555[2];
dd dummy1556[2];
dd dummy1557[2];
dd lapin_mania1[2];
dd dummy1558[2];
dd dummy1559[2];
dd dummy1560[2];
dd lapin_mania2[2];
dd dummy1561[2];
dd dummy1562[2];
dd dummy1563[2];
dd lapin_mania3[2];
dd dummy1564[2];
dd dummy1565[2];
dd dummy1566[2];
dd lapin_mania4[2];
dd dummy1567[2];
dd dummy1568[2];
dd dummy1569[2];
dd lapin_mania5[2];
dd dummy1570[2];
dd dummy1571[2];
dd dummy1572[2];
db truc_fin[416];
dd dummy1573;
db ordre;
db dummy1574[4];
db texte1[1024];
dw maladie[16];
db balance_le_bdrawn;
db bdraw1;
db on_les_dans_le_menu;
db sortie_slave;
db modeinfo;
db nomonster;
db twice;
db twice2;
db pic_de_tout_debut;
db une_touche_a_telle_ete_pressee;
db sors_du_menu_aussitot;
db team3_sauve;
db special_on_a_loadee_nivo;
db record_user;
db hazard_bonus[46];
db dummy1575[53];
dd viseur_hazard_bonus;
db hazard_bonus2[8];
db dummy1576[8];
dd viseur_hazard_bonus2;
db correspondance_bonus[16];
db correspondance_bonus2[16];
db last_sucker;
db affiche_pal;
db pause;
db pause2;
db temps2;
db sortie;
db in_the_apocalypse;
db pal[64];
db dummy1577[64];
db dummy1578[64];
db dummy1579[64];
db dummy1580[64];
db dummy1581[64];
db dummy1582[64];
db dummy1583[64];
db dummy1584[64];
db dummy1585[64];
db dummy1586[64];
db dummy1587[64];
db pal_affiche[768];
dd liste_bombe;
dd liste_bombe_array[3];
dw dummy1588[6];
dd dummy1589[3];
dw dummy1590[6];
dd dummy1591[3];
dw dummy1592[6];
dd dummy1593[3];
dw dummy1594[6];
dd dummy1595[3];
dw dummy1596[6];
dd dummy1597[3];
dw dummy1598[6];
dd dummy1599[3];
dw dummy1600[6];
dd dummy1601[3];
dw dummy1602[6];
dd dummy1603[3];
dw dummy1604[6];
dd dummy1605[3];
dw dummy1606[6];
dd dummy1607[3];
dw dummy1608[6];
dd dummy1609[3];
dw dummy1610[6];
dd dummy1611[3];
dw dummy1612[6];
dd dummy1613[3];
dw dummy1614[6];
dd dummy1615[3];
dw dummy1616[6];
dd dummy1617[3];
dw dummy1618[6];
dd dummy1619[3];
dw dummy1620[6];
dd dummy1621[3];
dw dummy1622[6];
dd dummy1623[3];
dw dummy1624[6];
dd dummy1625[3];
dw dummy1626[6];
dd dummy1627[3];
dw dummy1628[6];
dd dummy1629[3];
dw dummy1630[6];
dd dummy1631[3];
dw dummy1632[6];
dd dummy1633[3];
dw dummy1634[6];
dd dummy1635[3];
dw dummy1636[6];
dd dummy1637[3];
dw dummy1638[6];
dd dummy1639[3];
dw dummy1640[6];
dd dummy1641[3];
dw dummy1642[6];
dd dummy1643[3];
dw dummy1644[6];
dd dummy1645[3];
dw dummy1646[6];
dd dummy1647[3];
dw dummy1648[6];
dd dummy1649[3];
dw dummy1650[6];
dd dummy1651[3];
dw dummy1652[6];
dd dummy1653[3];
dw dummy1654[6];
dd dummy1655[3];
dw dummy1656[6];
dd dummy1657[3];
dw dummy1658[6];
dd dummy1659[3];
dw dummy1660[6];
dd dummy1661[3];
dw dummy1662[6];
dd dummy1663[3];
dw dummy1664[6];
dd dummy1665[3];
dw dummy1666[6];
dd dummy1667[3];
dw dummy1668[6];
dd dummy1669[3];
dw dummy1670[6];
dd dummy1671[3];
dw dummy1672[6];
dd dummy1673[3];
dw dummy1674[6];
dd dummy1675[3];
dw dummy1676[6];
dd dummy1677[3];
dw dummy1678[6];
dd dummy1679[3];
dw dummy1680[6];
dd dummy1681[3];
dw dummy1682[6];
dd dummy1683[3];
dw dummy1684[6];
dd dummy1685[3];
dw dummy1686[6];
dd dummy1687[3];
dw dummy1688[6];
dd dummy1689[3];
dw dummy1690[6];
dd dummy1691[3];
dw dummy1692[6];
dd dummy1693[3];
dw dummy1694[6];
dd dummy1695[3];
dw dummy1696[6];
dd dummy1697[3];
dw dummy1698[6];
dd dummy1699[3];
dw dummy1700[6];
dd dummy1701[3];
dw dummy1702[6];
dd dummy1703[3];
dw dummy1704[6];
dd dummy1705[3];
dw dummy1706[6];
dd dummy1707[3];
dw dummy1708[6];
dd dummy1709[3];
dw dummy1710[6];
dd dummy1711[3];
dw dummy1712[6];
dd dummy1713[3];
dw dummy1714[6];
dd dummy1715[3];
dw dummy1716[6];
dd dummy1717[3];
dw dummy1718[6];
dd dummy1719[3];
dw dummy1720[6];
dd dummy1721[3];
dw dummy1722[6];
dd dummy1723[3];
dw dummy1724[6];
dd dummy1725[3];
dw dummy1726[6];
dd dummy1727[3];
dw dummy1728[6];
dd dummy1729[3];
dw dummy1730[6];
dd dummy1731[3];
dw dummy1732[6];
dd dummy1733[3];
dw dummy1734[6];
dd dummy1735[3];
dw dummy1736[6];
dd dummy1737[3];
dw dummy1738[6];
dd dummy1739[3];
dw dummy1740[6];
dd dummy1741[3];
dw dummy1742[6];
dd dummy1743[3];
dw dummy1744[6];
dd dummy1745[3];
dw dummy1746[6];
dd dummy1747[3];
dw dummy1748[6];
dd dummy1749[3];
dw dummy1750[6];
dd dummy1751[3];
dw dummy1752[6];
dd dummy1753[3];
dw dummy1754[6];
dd dummy1755[3];
dw dummy1756[6];
dd dummy1757[3];
dw dummy1758[6];
dd dummy1759[3];
dw dummy1760[6];
dd dummy1761[3];
dw dummy1762[6];
dd dummy1763[3];
dw dummy1764[6];
dd dummy1765[3];
dw dummy1766[6];
dd dummy1767[3];
dw dummy1768[6];
dd dummy1769[3];
dw dummy1770[6];
dd dummy1771[3];
dw dummy1772[6];
dd dummy1773[3];
dw dummy1774[6];
dd dummy1775[3];
dw dummy1776[6];
dd dummy1777[3];
dw dummy1778[6];
dd dummy1779[3];
dw dummy1780[6];
dd dummy1781[3];
dw dummy1782[6];
dd dummy1783[3];
dw dummy1784[6];
dd dummy1785[3];
dw dummy1786[6];
dd dummy1787[3];
dw dummy1788[6];
dd dummy1789[3];
dw dummy1790[6];
dd dummy1791[3];
dw dummy1792[6];
dd dummy1793[3];
dw dummy1794[6];
dd dummy1795[3];
dw dummy1796[6];
dd dummy1797[3];
dw dummy1798[6];
dd dummy1799[3];
dw dummy1800[6];
dd dummy1801[3];
dw dummy1802[6];
dd dummy1803[3];
dw dummy1804[6];
dd dummy1805[3];
dw dummy1806[6];
dd dummy1807[3];
dw dummy1808[6];
dd dummy1809[3];
dw dummy1810[6];
dd dummy1811[3];
dw dummy1812[6];
dd dummy1813[3];
dw dummy1814[6];
dd dummy1815[3];
dw dummy1816[6];
dd dummy1817[3];
dw dummy1818[6];
dd dummy1819[3];
dw dummy1820[6];
dd dummy1821[3];
dw dummy1822[6];
dd dummy1823[3];
dw dummy1824[6];
dd dummy1825[3];
dw dummy1826[6];
dd dummy1827[3];
dw dummy1828[6];
dd dummy1829[3];
dw dummy1830[6];
dd dummy1831[3];
dw dummy1832[6];
dd dummy1833[3];
dw dummy1834[6];
dd dummy1835[3];
dw dummy1836[6];
dd dummy1837[3];
dw dummy1838[6];
dd dummy1839[3];
dw dummy1840[6];
dd dummy1841[3];
dw dummy1842[6];
dd dummy1843[3];
dw dummy1844[6];
dd dummy1845[3];
dw dummy1846[6];
dd dummy1847[3];
dw dummy1848[6];
dd dummy1849[3];
dw dummy1850[6];
dd dummy1851[3];
dw dummy1852[6];
dd dummy1853[3];
dw dummy1854[6];
dd dummy1855[3];
dw dummy1856[6];
dd dummy1857[3];
dw dummy1858[6];
dd dummy1859[3];
dw dummy1860[6];
dd dummy1861[3];
dw dummy1862[6];
dd dummy1863[3];
dw dummy1864[6];
dd dummy1865[3];
dw dummy1866[6];
dd dummy1867[3];
dw dummy1868[6];
dd dummy1869[3];
dw dummy1870[6];
dd dummy1871[3];
dw dummy1872[6];
dd dummy1873[3];
dw dummy1874[6];
dd dummy1875[3];
dw dummy1876[6];
dd dummy1877[3];
dw dummy1878[6];
dd dummy1879[3];
dw dummy1880[6];
dd dummy1881[3];
dw dummy1882[6];
dd dummy1883[3];
dw dummy1884[6];
dd dummy1885[3];
dw dummy1886[6];
dd dummy1887[3];
dw dummy1888[6];
dd dummy1889[3];
dw dummy1890[6];
dd dummy1891[3];
dw dummy1892[6];
dd dummy1893[3];
dw dummy1894[6];
dd dummy1895[3];
dw dummy1896[6];
dd dummy1897[3];
dw dummy1898[6];
dd dummy1899[3];
dw dummy1900[6];
dd dummy1901[3];
dw dummy1902[6];
dd dummy1903[3];
dw dummy1904[6];
dd dummy1905[3];
dw dummy1906[6];
dd dummy1907[3];
dw dummy1908[6];
dd dummy1909[3];
dw dummy1910[6];
dd dummy1911[3];
dw dummy1912[6];
dd dummy1913[3];
dw dummy1914[6];
dd dummy1915[3];
dw dummy1916[6];
dd dummy1917[3];
dw dummy1918[6];
dd dummy1919[3];
dw dummy1920[6];
dd dummy1921[3];
dw dummy1922[6];
dd dummy1923[3];
dw dummy1924[6];
dd dummy1925[3];
dw dummy1926[6];
dd dummy1927[3];
dw dummy1928[6];
dd dummy1929[3];
dw dummy1930[6];
dd dummy1931[3];
dw dummy1932[6];
dd dummy1933[3];
dw dummy1934[6];
dd dummy1935[3];
dw dummy1936[6];
dd dummy1937[3];
dw dummy1938[6];
dd dummy1939[3];
dw dummy1940[6];
dd dummy1941[3];
dw dummy1942[6];
dd dummy1943[3];
dw dummy1944[6];
dd dummy1945[3];
dw dummy1946[6];
dd dummy1947[3];
dw dummy1948[6];
dd dummy1949[3];
dw dummy1950[6];
dd dummy1951[3];
dw dummy1952[6];
dd dummy1953[3];
dw dummy1954[6];
dd dummy1955[3];
dw dummy1956[6];
dd dummy1957[3];
dw dummy1958[6];
dd dummy1959[3];
dw dummy1960[6];
dd dummy1961[3];
dw dummy1962[6];
dd dummy1963[3];
dw dummy1964[6];
dd dummy1965[3];
dw dummy1966[6];
dd dummy1967[3];
dw dummy1968[6];
dd dummy1969[3];
dw dummy1970[6];
dd dummy1971[3];
dw dummy1972[6];
dd dummy1973[3];
dw dummy1974[6];
dd dummy1975[3];
dw dummy1976[6];
dd dummy1977[3];
dw dummy1978[6];
dd dummy1979[3];
dw dummy1980[6];
dd dummy1981[3];
dw dummy1982[6];
dd dummy1983[3];
dw dummy1984[6];
dd dummy1985[3];
dw dummy1986[6];
dd dummy1987[3];
dw dummy1988[6];
dd dummy1989[3];
dw dummy1990[6];
dd dummy1991[3];
dw dummy1992[6];
dd dummy1993[3];
dw dummy1994[6];
dd dummy1995[3];
dw dummy1996[6];
dd dummy1997[3];
dw dummy1998[6];
dd dummy1999[3];
dw dummy2000[6];
dd dummy2001[3];
dw dummy2002[6];
dd dummy2003[3];
dw dummy2004[6];
dd dummy2005[3];
dw dummy2006[6];
dd dummy2007[3];
dw dummy2008[6];
dd dummy2009[3];
dw dummy2010[6];
dd dummy2011[3];
dw dummy2012[6];
dd dummy2013[3];
dw dummy2014[6];
dd dummy2015[3];
dw dummy2016[6];
dd dummy2017[3];
dw dummy2018[6];
dd dummy2019[3];
dw dummy2020[6];
dd dummy2021[3];
dw dummy2022[6];
dd dummy2023[3];
dw dummy2024[6];
dd dummy2025[3];
dw dummy2026[6];
dd dummy2027[3];
dw dummy2028[6];
dd dummy2029[3];
dw dummy2030[6];
dd dummy2031[3];
dw dummy2032[6];
dd dummy2033[3];
dw dummy2034[6];
dd dummy2035[3];
dw dummy2036[6];
dd dummy2037[3];
dw dummy2038[6];
dd dummy2039[3];
dw dummy2040[6];
dd dummy2041[3];
dw dummy2042[6];
dd dummy2043[3];
dw dummy2044[6];
dd dummy2045[3];
dw dummy2046[6];
dd dummy2047[3];
dw dummy2048[6];
dd dummy2049[3];
dw dummy2050[6];
dd dummy2051[3];
dw dummy2052[6];
dd dummy2053[3];
dw dummy2054[6];
dd dummy2055[3];
dw dummy2056[6];
dd dummy2057[3];
dw dummy2058[6];
dd dummy2059[3];
dw dummy2060[6];
dd dummy2061[3];
dw dummy2062[6];
dd dummy2063[3];
dw dummy2064[6];
dd dummy2065[3];
dw dummy2066[6];
dd dummy2067[3];
dw dummy2068[6];
dd dummy2069[3];
dw dummy2070[6];
dd dummy2071[3];
dw dummy2072[6];
dd dummy2073[3];
dw dummy2074[6];
dd dummy2075[3];
dw dummy2076[6];
dd dummy2077[3];
dw dummy2078[6];
dd dummy2079[3];
dw dummy2080[6];

db vgaPalette[256*3];
dd selectorsPointer;
dd selectors[NB_SELECTORS];
dd stackPointer;
dd stack[STACK_SIZE];
dd heapPointer;
db heap[HEAP_SIZE];
db vgaRamPaddingBefore[VGARAM_SIZE];
db vgaRam[VGARAM_SIZE];
db vgaRamPaddingAfter[VGARAM_SIZE];
char *path;
} Memory;
#pragma pack(pop)
extern Memory m;
int program();
#define sizeOfeax 4
#define sizeOfebx 4
#define sizeOfecx 4
#define sizeOfedx 4
#define sizeOfesi 4
#define sizeOfedi 4
#define sizeOfebp 4
#define sizeOfesp 4
#define sizeOfcs 2
#define sizeOfds 2
#define sizeOfes 2
#define sizeOffs 2
#define sizeOfgs 2
#define sizeOfss 2
#define sizeOfbeginningdata  1
#define sizeOfdonoterasekeys  1
#define sizeOfliste_de_machin  4
#define sizeOfinfojoueur2  4
#define sizeOftecte2  4
#define sizeOfscrollyf  4
#define sizeOfscrolly  1
#define sizeOfspecial_clignotement  4
#define sizeOftrucs  1
#define sizeOflast_voice  4
#define sizeOfblow_what2  2
#define sizeOfblow_what  2
#define sizeOfbuffer  1
#define sizeOfmessage2  1
#define sizeOftotal_liste  4
#define sizeOfbigendianin  4
#define sizeOfbigendianout  4
#define sizeOfdataloaded  1
#define sizeOfclavier  1
#define sizeOftaille_exe_gonfle  4
#define sizeOfplaysoundfx  1
#define sizeOfmaster  1
#define sizeOfclavier_stuff  1
#define sizeOfclavier_stuff2  1
#define sizeOfclavier_extanded  1
#define sizeOfpal_pic  1
#define sizeOfpal_pic2  1
#define sizeOfpal_jeu  1
#define sizeOfpal_med  1
#define sizeOfpal_vic  1
#define sizeOfpal_draw  1
#define sizeOfisbigendian  1
#define sizeOftouches_  4
#define sizeOftected  1
#define sizeOftecte  1
#define sizeOfmessage1  1
#define sizeOfmessage3  1
#define sizeOfmess_kli  1
#define sizeOfmess_luc  1
#define sizeOfmess_frd  1
#define sizeOfmess_jag  1
#define sizeOfmess_din  1
#define sizeOfmess_jdg  1
#define sizeOfmess_rmd  1
#define sizeOfmess_kor  1
#define sizeOfmess_sl1  1
#define sizeOfmess_adr  1
#define sizeOfmess_wil  1
#define sizeOfmess_exo  1
#define sizeOfmess_cl  1
#define sizeOfmess_ben  1
#define sizeOfmess_aaa  1
#define sizeOfmess_fzf  1
#define sizeOfmess_het  1
#define sizeOfmess_big  1
#define sizeOfmess_hak  1
#define sizeOfmess_jc  1
#define sizeOfdefo  1
#define sizeOftruc_fin_s  1
#define sizeOftruc_fin_soccer  1
#define sizeOftruc_fin_s_c  1
#define sizeOftruc_fin_s_m  1
#define sizeOftruc_fin_s_n  1
#define sizeOftruc_s  1
#define sizeOftruc_foot  1
#define sizeOftruc_soccer  1
#define sizeOftruc_n  1
#define sizeOftruc_c  1
#define sizeOftruc_h  1
#define sizeOftruc_f  1
#define sizeOftruc_neige  1
#define sizeOftruc2_save_foot  1
#define sizeOftruc2_save  1
#define sizeOftruc2_save_n  1
#define sizeOfia  4
#define sizeOfoffset_supporter  1
#define sizeOfoffset_cameraman  1
#define sizeOfdifferentesply  4
#define sizeOfoffset_pause  4
#define sizeOfoffset_si  4
#define sizeOfliste_couleur_malade  4
#define sizeOflove_si  1
#define sizeOfiff_file_name  1
#define sizeOfreccord  1
#define sizeOfreccord3  1
#define sizeOfreccord2  1
#define sizeOfsuite  1
#define sizeOfsuite2  1
#define sizeOfsuite3  1
#define sizeOfcfgerror  1
#define sizeOferrorcfg  1
#define sizeOfmessage_mem_rp  1
#define sizeOfokcfg  1
#define sizeOfokcfg3  1
#define sizeOfwin  1
#define sizeOfnowin  1
#define sizeOfterminalor  1
#define sizeOfnulosproduction  1
#define sizeOfstat1  1
#define sizeOfstat2  1
#define sizeOfstat3  1
#define sizeOfgameover  1
#define sizeOfno_server_  1
#define sizeOfselect_server_  1
#define sizeOfcnx1  1
#define sizeOftransformateur_98  1
#define sizeOfcnx2  1
#define sizeOfload_pcx_interne  4
#define sizeOfload_handle  4
#define sizeOfadresse_des_fonds  4
#define sizeOfadresse_des_fonds_foot  4
#define sizeOfadresse_des_fonds_neige  4
#define sizeOfadresse_des_fonds_final  4
#define sizeOfadresse_des_fonds_foret  4
#define sizeOfadresse_des_fonds_nuage  4
#define sizeOfadresse_des_fonds_crayon  4
#define sizeOfadresse_des_fonds_soccer  4
#define sizeOfnombre_de_fond  4
#define sizeOfadresse_des_draws  4
#define sizeOfnombre_de_draw  4
#define sizeOfadresse_des_vic  4
#define sizeOfnombre_de_vic  4
#define sizeOfkelle_donnee  4
#define sizeOfkelle_fin  4
#define sizeOfkelle_truc  4
#define sizeOfkelle_bonus  4
#define sizeOfkelle_apocalypse  4
#define sizeOfkelle_duree  4
#define sizeOfoffset_briques  2
#define sizeOfkelle_offset_fond  4
#define sizeOfkel_viseur_brike_fin  2
#define sizeOflapin_mort  2
#define sizeOflapin_mortg  2
#define sizeOflapin2  2
#define sizeOflapin2g  2
#define sizeOflapin2___  2
#define sizeOflapin2___g  2
#define sizeOflapin2_  2
#define sizeOflapin2_g  2
#define sizeOflapin2__  2
#define sizeOflapin2__g  2
#define sizeOfgrosbleu  2
#define sizeOfcoca  2
#define sizeOfescargot  2
#define sizeOfold_school  2
#define sizeOfbleu_triste  2
#define sizeOfmachine  2
#define sizeOfpetit_jaune  2
#define sizeOfblanc  2
#define sizeOfbleu  2
#define sizeOfrouge  2
#define sizeOfvert  2
#define sizeOfblancg  2
#define sizeOfbleug  2
#define sizeOfrougeg  2
#define sizeOfvertg  2
#define sizeOfoffset_ic  4
#define sizeOfnouvelle_attente_entre_chake_bombe2  4
#define sizeOfliste_bombbbb  4
#define sizeOfcentral_b  2
#define sizeOfviseur_victory  4
#define sizeOfviseur_victoryc  4
#define sizeOfviseur_victoryg  4
#define sizeOfviseur_name  4
#define sizeOfviseur_namec  4
#define sizeOfviseur_nameg  4
#define sizeOfoffset_medaille  2
#define sizeOfrandom_place  4
#define sizeOfloaderror  1
#define sizeOfdifferents_offset_possible  4
#define sizeOfpacked_liste  4
#define sizeOfiff_liste  4
#define sizeOfliste_terrain  1
#define sizeOfascii  1
#define sizeOfcouleurssss  1
#define sizeOflost_conney  1
#define sizeOfhazard_maladie  1
#define sizeOfcouleur  1
#define sizeOfcouleur_menu  1
#define sizeOfoffset_fille  2
#define sizeOfoffset_oiseau  4
#define sizeOffx  2
#define sizeOfliste_couleur_normal  4
#define sizeOfs_normal  4
#define sizeOfl_normal  2
#define sizeOfc_normal  2
#define sizeOfa_normal  4
#define sizeOfr_normal  4
#define sizeOfdonnee_s  2
#define sizeOfooo34  4
#define sizeOfdonnee_foot  2
#define sizeOfdonnee_soccer  2
#define sizeOfdonnee_h  2
#define sizeOfdonnee_n  2
#define sizeOfdonnee_c  2
#define sizeOfdonnee_f  2
#define sizeOfdonnee_s_neige  2
#define sizeOfmort_de_lapin  2
#define sizeOfsaut_de_lapin2  2
#define sizeOfsaut_de_lapin  2
#define sizeOfn_team  4
#define sizeOfc_team  4
#define sizeOfs_team  4
#define sizeOfinfojoueur  4
#define sizeOfpanning2  1
#define sizeOfreplayer_saver  4
#define sizeOfreplayer_saver2  4
#define sizeOfreplayer_saver3  4
#define sizeOfreplayer_saver4  4
#define sizeOfreplayer_saver5  1
#define sizeOfdonnee4  1
#define sizeOfattente  4
#define sizeOfnosetjmp  1
#define sizeOfnuage_sympa  4
#define sizeOfvise_de_ca_haut  4
#define sizeOfvise_de_ca_haut2  4
#define sizeOfadder_inser_coin  4
#define sizeOfviseur_ic2  4
#define sizeOfinser_coin  4
#define sizeOfacceleration  4
#define sizeOfattente_entre_chake_bombe  4
#define sizeOfviseur__nouvelle_attente_entre_chake_bombe  4
#define sizeOfliste_bombbbb2  4
#define sizeOfspecial_nivo_6  4
#define sizeOfdifferentesply2  4
#define sizeOftemps_avant_demo  4
#define sizeOfttp  4
#define sizeOfarbre  4
#define sizeOfviseur_couleur  4
#define sizeOfattente_nouveau_esc  4
#define sizeOfnombre_de_dyna_x4  4
#define sizeOfchangeiny  4
#define sizeOfviseur_change_in  4
#define sizeOfviseur_change_in_save  4
#define sizeOfanti_bomb  4
#define sizeOfmachin2  4
#define sizeOfmachin3  4
#define sizeOfmachin  4
#define sizeOfduree_draw  4
#define sizeOfduree_med  4
#define sizeOfduree_vic  4
#define sizeOfaffiche_raster  4
#define sizeOfsave_banke  4
#define sizeOfattente_avant_draw  4
#define sizeOfattente_avant_med  4
#define sizeOfpic_time  4
#define sizeOfviseur_sur_fond  4
#define sizeOfviseur_sur_draw  4
#define sizeOfviseur_sur_vic  4
#define sizeOfcompteur_nuage  4
#define sizeOfchangementzz  4
#define sizeOfchangementzz2  4
#define sizeOfchangement  4
#define sizeOftruc  1
#define sizeOftruc2  1
#define sizeOftruc_x  1
#define sizeOftruc_y  1
#define sizeOftruc_monstre  1
#define sizeOftouches  4
#define sizeOfavance  4
#define sizeOfavance2  4
#define sizeOftouches_save  4
#define sizeOfaction  1
#define sizeOfvie  4
#define sizeOfvictoires  4
#define sizeOflatest_victory  4
#define sizeOfteam  4
#define sizeOfnombre_minimum_de_dyna  4
#define sizeOfinfos_j_n  4
#define sizeOfinfos_m_n  4
#define sizeOflast_bomb  4
#define sizeOfviseur_liste_terrain  4
#define sizeOfnombre_de_dyna  4
#define sizeOfnb_ai_bombermen  1
#define sizeOfnombre_de_monstres  4
#define sizeOfnombre_de_vbl_avant_le_droit_de_poser_bombe  4
#define sizeOfj1  4
#define sizeOfj2  4
#define sizeOfj3  4
#define sizeOfj4  4
#define sizeOfj5  4
#define sizeOfj6  4
#define sizeOfj7  4
#define sizeOfj8  4
#define sizeOfdonnee  2
#define sizeOfooo546  4
#define sizeOfliste_couleur  4
#define sizeOfnombre_de_coups  4
#define sizeOfclignotement  4
#define sizeOfpousseur  4
#define sizeOfpatineur  4
#define sizeOfvitesse_monstre  4
#define sizeOftribombe2  4
#define sizeOftribombe  4
#define sizeOfinvinsible  4
#define sizeOfblocage  4
#define sizeOflapipipino  4
#define sizeOflapipipino2  4
#define sizeOflapipipino3  4
#define sizeOflapipipino4  4
#define sizeOflapipipino5  4
#define sizeOflapipipino6  4
#define sizeOflapipipino7  4
#define sizeOfaction_replay  1
#define sizeOfordre2  1
#define sizeOfdetail  1
#define sizeOfmechant  1
#define sizeOfterrain  1
#define sizeOfteam3  1
#define sizeOfpauseur2  1
#define sizeOfbdraw666  1
#define sizeOfadder_bdraw  2
#define sizeOftemps  2
#define sizeOfkel_ombre  4
#define sizeOfombres  2
#define sizeOfbriques  2
#define sizeOfbombes  2
#define sizeOfcontrol_joueur  4
#define sizeOfcontrol_joueur2  4
#define sizeOfname_joueur  4
#define sizeOftemps_joueur  4
#define sizeOfnb_ordy_connected  4
#define sizeOflast_name  4
#define sizeOftotal_play  1
#define sizeOftotal_t  1
#define sizeOfdonnee2  1
#define sizeOfnick_t  1
#define sizeOflapin_mania  4
#define sizeOflapin_mania_malade  4
#define sizeOflapin_mania1  4
#define sizeOflapin_mania2  4
#define sizeOflapin_mania3  4
#define sizeOflapin_mania4  4
#define sizeOflapin_mania5  4
#define sizeOftruc_fin  1
#define sizeOfordre  1
#define sizeOftexte1  1
#define sizeOfmaladie  2
#define sizeOfbalance_le_bdrawn  1
#define sizeOfbdraw1  1
#define sizeOfon_les_dans_le_menu  1
#define sizeOfsortie_slave  1
#define sizeOfmodeinfo  1
#define sizeOfnomonster  1
#define sizeOftwice  1
#define sizeOftwice2  1
#define sizeOfpic_de_tout_debut  1
#define sizeOfune_touche_a_telle_ete_pressee  1
#define sizeOfsors_du_menu_aussitot  1
#define sizeOfteam3_sauve  1
#define sizeOfspecial_on_a_loadee_nivo  1
#define sizeOfrecord_user  1
#define sizeOfhazard_bonus  1
#define sizeOfviseur_hazard_bonus  4
#define sizeOfhazard_bonus2  1
#define sizeOfviseur_hazard_bonus2  4
#define sizeOfcorrespondance_bonus  1
#define sizeOfcorrespondance_bonus2  1
#define sizeOflast_sucker  1
#define sizeOfaffiche_pal  1
#define sizeOfpause  1
#define sizeOfpause2  1
#define sizeOftemps2  1
#define sizeOfsortie  1
#define sizeOfin_the_apocalypse  1
#define sizeOfpal  1
#define sizeOfpal_affiche  1
#define sizeOfliste_bombe  4
#define sizeOfliste_bombe_array  4

void fixBigEndian(void *data);
#ifdef __cplusplus
}
#endif
#endif


